Bug 585792 - [abrt] crash in report-0.10-5.fc12: __init__.py:185:sendToBugzilla:KeyError: 'hashmarkername'
Summary: [abrt] crash in report-0.10-5.fc12: __init__.py:185:sendToBugzilla:KeyError: ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: report
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gavin Romig-Koch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:774922ea
Depends On:
Blocks: 592641 592643
TreeView+ depends on / blocked
 
Reported: 2010-04-26 03:42 UTC by Allen Zhu
Modified: 2010-12-03 15:26 UTC (History)
1 user (show)

Fixed In Version: fedora-0.14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 592641 (view as bug list)
Environment:
Last Closed: 2010-12-03 15:26:52 UTC


Attachments (Terms of Use)
File: backtrace (1.72 KB, text/plain)
2010-04-26 03:42 UTC, Allen Zhu
no flags Details

Comment 1 Allen Zhu 2010-04-26 03:42:28 UTC
Created attachment 409051 [details]
File: backtrace

Comment 2 Allen Zhu 2010-04-26 03:47:12 UTC
I'm sorry, this probably isn't a bug. I was just curious to see what would happen if I reported an image to Bugzilla through a terminal using 'report'.

Comment 3 Allen Zhu 2010-04-26 03:55:11 UTC
Comment on attachment 409051 [details]
File: backtrace

Please, can you remove my login information from the Traceback?

Comment 4 Allen Zhu 2010-04-26 03:55:47 UTC
Comment on attachment 409051 [details]
File: backtrace

>__init__.py:185:sendToBugzilla:KeyError: 'hashmarkername'
>
>Traceback (most recent call last):
>  File "/usr/bin/report", line 84, in <module>
>    app = report.report(signature, io, **optsDict)
>  File "/usr/lib/python2.6/site-packages/report/__init__.py", line 397, in report
>    return choice(signature, io)
>  File "/usr/lib/python2.6/site-packages/report/__init__.py", line 363, in <lambda>
>    (lambda module, optionsDict: lambda signature, io : module.report(signature, io, optionsDict))(module, optionsDict)))
>  File "/usr/lib/python2.6/site-packages/report/templates/bugzilla-template/__init__.py", line 97, in report
>    attachedFileDescription)
>  File "/usr/lib/python2.6/site-packages/report/templates/bugzilla-template/__init__.py", line 185, in sendToBugzilla
>    wb = "%s_trace_hash:%s" % (signature['hashmarkername'].asString(),
>KeyError: 'hashmarkername'
>
>Local variables in innermost frame:
>bugzilla_host: 'bugzilla.redhat.com'
>buglist: []
>bzfiler: <report.templates.bugzilla-template.filer.BugzillaFiler object at 0xa250d0>
>withBugzillaDo: <function withBugzillaDo at 0xa18c80>
>component: None
>optionsDict: {'bugzilla_host': 'bugzilla.redhat.com', 'template': 'bugzilla-template'}
>fileName: '/home/jaloola/Desktop/Penguins.jpg'
>BugzillaCommunicationException: <class 'report.templates.bugzilla-template.BugzillaCommunicationException'>
>io: <report.io.TextIO.TextIO instance at 0x917248>
>fileDescription: 'Attached file automatically from /home/jaloola/Desktop/Penguins.jpg.'
>rpmUtils: <module 'rpmUtils' from '/usr/lib/python2.6/site-packages/rpmUtils/__init__.pyc'>
>loginResult: {'username': '', 'password': '', 'remember': False}
>signature: {'simpleFile': <report.NamedFileSignatureValue instance at 0x92f6c8>}

Comment 5 Gavin Romig-Koch 2010-04-26 13:21:22 UTC
Thanks Allen for trying report, and for fileing a bug report when it failed.  

There are two bugs reveiled by this crash.  First, no matter what, it should not crash.  

The second is that it indeed should be possible to attach an image, or any file, to an existing or newly created bz using report just as you have, but we have not had the time to implement that yet.

We will get at least the crash fixed asap.  Thanks again.

Comment 6 Gavin Romig-Koch 2010-04-26 13:28:56 UTC
The fix for the crash is to change the bugzilla plugin so that first checks the signature for the existence of a member before it tries to use the member, and does something reasonable if it's not - an error message if nothing else.  The same should be done for all plugins and members.

In the case of the bugzilla plugin and the hashmarkername and hashmarkervalue fields, the bugzilla plugin could skip the hash lookup instead of erroring out.

Comment 7 Gavin Romig-Koch 2010-05-19 17:48:02 UTC
Fixed in fedorahosted src repo.

Comment 8 Fedora Update System 2010-05-19 22:39:58 UTC
report-0.14-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/report-0.14-1.fc11

Comment 9 Fedora Update System 2010-05-19 22:40:05 UTC
report-0.14-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/report-0.14-1.fc12

Comment 10 Fedora Update System 2010-06-08 19:37:03 UTC
report-0.14-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-08 19:41:25 UTC
report-0.14-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Bug Zapper 2010-11-03 16:19:13 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-03 15:26:52 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.